#ifndef TARANTOOL_CONFIG_H_INCLUDED
#define TARANTOOL_CONFIG_H_INCLUDED
/*
 * This file is generated by CMake. The original file is called
 * config.h.cmake. Please do not modify.
 */
/*
 * A string with major-minor-patch-commit-id identifier of the
 * release.
 */
#define PACKAGE_VERSION "1.5.4-26-g72b0ab6"
#define PACKAGE "Tarantool"
/*  Defined if building for Linux */
#define TARGET_OS_LINUX 1
/*  Defined if building for FreeBSD */
/* #undef TARGET_OS_FREEBSD */
/*  Defined if building for Darwin */
/* #undef TARGET_OS_DARWIN */
/*
 * Defined if gcov instrumentation should be enabled.
 */
/* #undef ENABLE_GCOV */
/*
 * Defined if configured with ENABLE_TRACE (debug trace into
 * a file specified by TRANTOOL_TRACE environment variable.
 */
#define ENABLE_TRACE 1
/*
 * Defined if configured with ENABLE_BACKTRACE ('show fiber'
 * showing fiber call stack.
 */
#define ENABLE_BACKTRACE 1
/*
 * Set if the system has bfd.h header and GNU bfd library.
 */
#define HAVE_BFD 1
#define HAVE_MAP_ANON 1
#define HAVE_MAP_ANONYMOUS 1
#if !defined(HAVE_MAP_ANONYMOUS) && defined(HAVE_MAP_ANON)
/*
 * MAP_ANON is deprecated, MAP_ANONYMOUS should be used instead.
 * Unfortunately, it's not universally present (e.g. not present
 * on FreeBSD.
 */
#define MAP_ANONYMOUS MAP_ANON
#endif
/*
 * Defined if O_DSYNC mode exists for open(2).
 */
#define HAVE_O_DSYNC 1
#if defined(HAVE_O_DSYNC)
    #define WAL_SYNC_FLAG O_DSYNC
#else
    #define WAL_SYNC_FLAG O_SYNC
#endif
/*
 * Defined if fdatasync(2) call is present.
 */
#define HAVE_FDATASYNC 1

#ifndef HAVE_FDATASYNC
	#define fdatasync fsync
#endif

/*
 * Defined if this platform has BSD specific funopen()
 */
/* #undef HAVE_FUNOPEN */

/*
 * Defined if this platform has GNU specific memmem().
 */
#define HAVE_MEMMEM 1
/*
 * Defined if this platform has GNU specific memrchr().
 */
#define HAVE_MEMRCHR 1
/*
 * Set if this is a GNU system and libc has __libc_stack_end.
 */
#define HAVE_LIBC_STACK_END 1
/*
 * Defined if this is a big-endian system.
 */
/* #undef HAVE_BYTE_ORDER_BIG_ENDIAN */
/*
 * Defined if this platform supports openmp and it is enabled
 */
#define HAVE_OPENMP 1

/*
 * Set if compiler has __builtin_XXX methods.
 */
#define HAVE_BUILTIN_CTZ 1
#define HAVE_BUILTIN_CTZLL 1
#define HAVE_BUILTIN_CLZ 1
#define HAVE_BUILTIN_CLZLL 1
#define HAVE_BUILTIN_POPCOUNT 1
#define HAVE_BUILTIN_POPCOUNTLL 1
#define HAVE_BUILTIN_BSWAP32 1
#define HAVE_BUILTIN_BSWAP64 1
/* #undef HAVE_FFSL */
/* #undef HAVE_FFSLL */

/*
 * pthread have problems with -std=c99
 */
/* #undef HAVE_NON_C99_PTHREAD_H */

#define ENABLE_BUNDLED_LIBEV 1
#define ENABLE_BUNDLED_LIBEIO 1
#define ENABLE_BUNDLED_LIBCORO 1


#define HAVE_PRCTL_H 1

/*
 * predefined /etc directory prefix.
 */
#define SYSCONF_DIR "/etc"
#define INSTALL_PREFIX "/usr"
#define BUILD_TYPE "RelWithDebugInfo"
#define BUILD_INFO "Linux-i686-RelWithDebugInfo"
#define BUILD_OPTIONS "cmake . -DCMAKE_INSTALL_PREFIX=/usr -DENABLE_STATIC=OFF -DENABLE_TRACE=ON -DENABLE_BACKTRACE=ON -DENABLE_CLIENT=ON"
#define COMPILER_INFO "/usr/lib/ccache/cc /usr/lib/ccache/c++"
#define TARANTOOL_C_FLAGS " -fopenmp -fno-omit-frame-pointer -fno-stack-protector -fexceptions -funwind-tables -std=c11 -Wall -Wextra -Wno-sign-compare -Wno-strict-aliasing -fno-gnu89-inline -pthread"
#define TARANTOOL_CXX_FLAGS " -fopenmp -fno-omit-frame-pointer -fno-stack-protector -fexceptions -funwind-tables -std=c++11 -fno-rtti -Wall -Wextra -Wno-sign-compare -Wno-strict-aliasing -Wno-invalid-offsetof -pthread"

/*
 * Modules
 */
#define MODULE_LIBDIR "/usr/lib/tarantool"
#define MODULE_LUADIR "/usr/share/tarantool"
#define MODULE_INCLUDEDIR "/usr/include/tarantool"
#define MODULE_LUAPATH "/usr/share/tarantool/?.lua;/usr/share/tarantool/?/init.lua"
#define MODULE_LIBPATH "/usr/lib/tarantool/?.so"

/*
 * vim: syntax=c
 */
#endif /* TARANTOOL_CONFIG_H_INCLUDED */
